import {
  select,
  json,
  geoPath,
  geoMercator,
} from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const projection = geoMercator();
const pathGenerator = geoPath().projection(
  projection
);

svg
  .append('path')
  .attr('d', pathGenerator({ type: 'Sphere' }))
  .attr('class', 'shape');

json(
  'https://gist.githubusercontent.com/bhargavarathod/8c661cf5ed10cf1ed2bbb5dd2b4d8de4/raw/c818c6dad3d2afec1aad349b9f8a3943bfb5b58a/africa.json'
).then((data) => {
  const states = feature(
    data,
    data.objects.IND_adm1
  );
  console.log(states);
  svg
    .selectAll('path')
    .data(states.features)
    .enter()
    .append('path')
    .attr('d', pathGenerator)
    .attr('class', 'states');
});

